# websocket 包裝

#### api

###### 建立連線物件
```js
var Conn = require('js-websocket-client');
var c = new Conn(url);
```

###### 綁定斷線重連
- seconds 重連間隔
- time 重連次數,預設無限制
```js
c.reconnect(seconds, time);

```

###### 事件綁定
```js
c.on(<open|close|message|error>, event_handler);
```

###### 事件移除
```js
c.off(<open|close|message|error>, event_handler);
```

###### 發送訊息
```js
c.emit('some text...');
```


